net.corda.node.driver

## Class ShutdownManager

- net.corda.node.driver.ShutdownManager

-     public class ShutdownManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownManager(java.util.concurrent.ExecutorService executorService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerProcessShutdown(com.google.common.util.concurrent.ListenableFuture<java.lang.Process> processFuture)`
    `void` | `registerShutdown(com.google.common.util.concurrent.ListenableFuture<kotlin.jvm.functions.Function0> shutdown)`
    `void` | `shutdown()`

- - ### Constructor Detail

    - #### ShutdownManager

          public ShutdownManager(java.util.concurrent.ExecutorService executorService)

  - ### Method Detail

    - #### shutdown

          public void shutdown()

    - #### registerShutdown

          public void registerShutdown(com.google.common.util.concurrent.ListenableFuture<kotlin.jvm.functions.Function0> shutdown)

    - #### registerProcessShutdown

          public void registerProcessShutdown(com.google.common.util.concurrent.ListenableFuture<java.lang.Process> processFuture)